lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "headerutil/version"

Gem::Specification.new do |spec|
  spec.name          = "headerutil"
  spec.version       = HeaderUtil::VERSION
  spec.authors       = ["Ravindra Soni"]
  spec.email         = ["soni@nickelfox.com"]

  spec.summary       = %q{Check if files in a folder contains specified text. Usually used for checking header / copyright notes}
  spec.description   = %q{}
  spec.homepage      = "http://github.com/ravindrasoni/headerutil"
  spec.license       = "MIT"

  # spec.metadata["allowed_push_host"] = "Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "http://github.com/ravindrasoni/headerutil"
  spec.metadata["changelog_uri"] = "http://github.com/ravindrasoni/headerutil"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_dependency "thor"

end
